Activate Key

Overview

This endpoint is used to reactivate a previously suspended Bre-B key, restoring its ACTIVE status.

Endpoint Details

Definition

Description

Endpoint

https://api.paas-sandbox.co.passportfintech.com/v1/keys/:key_id/activate

Method

PATCH

Headers

Content-Type: application/json, Authorization

Authentication

Access Token (Bearer Token)

Request Body

  • No request body

Example Request

curl --location --request PATCH 'https://api.paas-sandbox.co.passportfintech.com/v1/keys/b9a7a4fa-207d-47b7-bdf3-013b1fe9ad37/activate' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \

Response

  • HTTP Status Code: 200 OK.

  • The response will contain the key status: ACTIVE

Example of Response

{ "created_at": "2025-10-04T00:56:49.752Z", "updated_at": "2025-10-04T01:20:16.602Z", "account_id": "450dfdce-da3d-4261-9226-84913169ab37", "id": "67d9a207-1b46-4961-ad08-24a226e46397", "status": "ACTIVE", "key": { "key_type": "E", "key_value": "78L216DRQG@passportfintech.com" } }

Common Errors and Handling

HTTP Status Code

Meaning

Description

400

Bad Request

Missing or invalid id field

401

Unauthorized

Missing or invalid bearer token

403

Forbidden

Insufficient scope or access rights

404

Not Found

Key with given id does not exist

Best Practices

  • Refresh OAuth tokens before they expire to avoid authentication failures.

  • Validate input data before sending to reduce 400 Errors.